      module vgosDB_variable
! This defines storage and properites for vgosDB variables.
!
! All variables are stored as 2-d arrays. 
! For scan/observation/station-dependent variables,  the 2nd index is the scan or observation.
! The first index stores all of the info for a given array.
! Exmaples of dimensons:
! Delay:  (1,NumObs)
! 3x3 Matrix (9, NumObs)!
      

      type vgosDB_var
        character*60 lname     !name
        character*12 lscope    !
        character*2  lband     !band if appropriate
        character*30 lformat   !format to write out
        character*8  lstation  !Which station...?
        character*80 ldefinition
        character*20  lcode 
        logical      kfound 
        integer      itype     !integer*2, integer*4, real*4, real*8, ASCII, etc.
        integer      ndim      ! 1, 2
        integer      idim_size(3)  !     
        integer*1, allocatable :: ivalue1(:,:)   
        integer*2, allocatable :: ivalue2(:,:)
        integer*4, allocatable :: ivalue4(:,:)
        real*4, allocatable    :: value4(:,:)
        real*8, allocatable    :: value8(:,:)
        character, allocatable :: string(:,:)
      end type vgosDB_var


      end module 
